commit:     bc88c93259c52696b2d171e6bf7b09d543ddc082
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  8 10:03:55 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Mar  8 10:04:26 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc88c932

app-misc/cpipe: Add cpipe to the tree.

cpipe is a tiny C program that measures how fast data is sent through a UNIX 
pipe.

Gentoo-Bug: https://bugs.gentoo.org/497618
Reporter: Marcin Mirosław <bug <AT> mejor.pl>
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
Package-Manager: portage-2.2.26

 app-misc/cpipe/Manifest           |  1 +
 app-misc/cpipe/cpipe-3.0.3.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 app-misc/cpipe/metadata.xml       | 11 +++++++++++
 3 files changed, 49 insertions(+)

diff --git a/app-misc/cpipe/Manifest b/app-misc/cpipe/Manifest
new file mode 100644
index 0000000..2fedec6
--- /dev/null
+++ b/app-misc/cpipe/Manifest
@@ -0,0 +1 @@
+DIST cpipe-3.0.3.tar.gz 16392 SHA256 
3803a71233a4cd8dd3bfba5a52d3320ed037740cf3a45b07cc30d8be457ea1cc SHA512 
255e3833ddaf27af1768e650a47d0565224ddd22137636ae0fae491a4d03f523b74a76f26b261c71442a7509f42eee64b75fbcf7078641a64b66a2590bb803b3
 WHIRLPOOL 
e9bba8ff169055c41e71f536eb99155a2f4396c4f078fa3f0f6e6087ecd0029f8a5f04f4a9e1a27d385d187f472ffce5f9b001d3975fba54e27ef5d422c88ba1

diff --git a/app-misc/cpipe/cpipe-3.0.3.ebuild 
b/app-misc/cpipe/cpipe-3.0.3.ebuild
new file mode 100644
index 0000000..3821e559
--- /dev/null
+++ b/app-misc/cpipe/cpipe-3.0.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Counting pipe, measures data transfered over pipe"
+HOMEPAGE="https://github.com/HaraldKi/cpipe";
+SRC_URI="https://github.com/HaraldKi/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_prepare()  {
+       default
+
+       sed -i \
+               -e "s/CFLAGS =/CFLAGS =${CFLAGS} /" \
+               -e "s/-lm/-lm ${LDFLAGS}/" \
+               -e "s/744/644/" makefile || die "sed failed"
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+}
+
+src_install()  {
+       dobin "${PN}"
+       doman "${PN}.1"
+}

diff --git a/app-misc/cpipe/metadata.xml b/app-misc/cpipe/metadata.xml
new file mode 100644
index 0000000..449e6b0
--- /dev/null
+++ b/app-misc/cpipe/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <upstream>
+               <remote-id type="github">HaraldKi/cpipe</remote-id>
+       </upstream>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Patrice Clement</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to